 function df=NumJacob(f,x0,varargin)
        
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %
        % This code was made by Youngmok Yun, UT Austin.
        % You can distribute or modify as you want,
        % but please do not erase this comment
        % - 2013.05.04
        %
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        
        epsilon = 1e-6; % delta
        l_x0=length(x0); % length of x0;
        f0=feval(f,x0,varargin{:}); % caclulate f0
        
        
        if iscell(f0)
            
            for jj = 1:numel(f0)
                for i=1:l_x0
                    dx = zeros(l_x0,1);
                    dx(i) = epsilon;
                    fdx = feval(f,x0+dx,varargin{:});
                    J(:,i) = ( fdx{jj} - f0{jj})/epsilon;
                end
                df{jj} = J;
                df = df';
            end
        else
            for i=1:l_x0
                dx = zeros(l_x0,1);
                dx(i) = epsilon;
                df(:,i) = ( feval(f,x0+dx,varargin{:}) - f0)/epsilon;
            end
        end
    end