function y = g(t,X,Param)
S = Param.SigX;
Sigma = diag(S);

y = cell(numel(X),1);

if Param.wiener_noise
    
    ii=1;
    tot_cell_number = Param.tot_cell_number;
    IP3Inds = ii:tot_cell_number;
    Ca_cInds = ii*tot_cell_number+1:(ii+1)*tot_cell_number; ii = ii + 1;
    hInds = ii*tot_cell_number+1:(ii+1)*tot_cell_number; ii = ii + 1;
    
    IP3 = X(IP3Inds)';
    Ca_c = X(Ca_cInds)'; ii=ii+1;
    h = X(hInds)';
    
    a = Param.a;
    d1 = Param.d1;
    d2 = Param.d2;
    d3 = Param.d3;
    N = Param.N;
    alpha_h = a.*d2.*(IP3+d1)./(IP3+d3);
    beta_h = a*Ca_c;
        
    Sigma(hInds,hInds) = diag(sqrt(abs((alpha_h.*(1-h) + beta_h.*h))/N)); %s_h
    
else
    Sigma = zeros(size(Sigma));
end
for ii = 1:numel(X)
    y{ii} = Sigma(:,ii);
end
end
