global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames

Const_Exac_Mul_NoL1;

load data 
Z=datos;

% compute the LL filter
LKWindow=[0 tTotal];
[var_est,V_est,Xp,Pp,nu,LK,PInn,mpts_out]=LLfilter(t,Z,Xf0,Pf0,theta,FileNames,LKWindow,mpts,AbsTol,RelTol);
if ~isempty(mpts), 
    mpts_out(2,:)=zeros(1,length(t)); 
end

% plot of the state variable and their filter estimates
t=1:n_m;
figure
plot(t,proceso(1,:),t,var_est(1,:));

% plot of the innovations
figure;
for i=1:n_obs,
  subplot(n_obs+2,1,i)
  plot(nu(i,:));
end
subplot(n_obs+2,1,n_obs+1)
plot(t,mpts_out(1,:))
Min=num2str(min(mpts_out(1,2:end)));
Max=num2str(max(mpts_out(1,2:end)));
Sum=num2str(sum(mpts_out(1,:)));
subplot(n_obs+2,1,n_obs+2)
plot(t,mpts_out(2,:))
MinF=num2str(min(mpts_out(2,2:end)));
MaxF=num2str(max(mpts_out(2,2:end)));
SumF=num2str(sum(mpts_out(2,:)));

% computing the exact filter for this example
m0  = Xf0;
P0  = Pf0;
ms1(1)=m0;
Ps1(1)=P0;
t(1)=t0;
for i=2:n_m
   t(i)  =  t0 + (i-1)*deltat; 
   Ztdt= var_est(:,i-1);
   VV(:,:)=V_est(i-1,:,:);
   [ms Ps]=feval(fname,t(i),t(i-1),Ztdt,VV+Ztdt*Ztdt',theta);
   Ps = Ps - ms*ms';
   ms1(i)=ms;
   Ps1(i)=Ps;
end;

%plot of the exact and estimate LL predictions

figure
plot(t,ms1,t,Xp(1,:));

%plot of the exact and estimate LL variance predictions 
figure
P1=Pp(:,1,1);
plot(t,Ps1,t,P1);

% Figure information
figure(2)
ylabel('x1'), title('simulated data vs. LL-filter estimates')

figure(3)
subplot(n_obs+2,1,1)
title('innovation')
subplot(n_obs+2,1,n_obs+1)
title(['mpts,     Min= ',Min,'   Max= ',Max,'  Total= ',Sum])
subplot(n_obs+2,1,n_obs+2)
title(['fpts,     Min= ',MinF,'   Max= ',MaxF,'  Total= ',SumF])

figure(4)
ylabel('y1'), title('Mean Prediction: exact vs. LL estimates')

figure(5)
ylabel('P11'), title('Variance Prediction: exact vs. LL estimates')

E1=max(abs((ms1-Xp(1,:))./ms1))
E2=max(abs((Ps1-P1')./P1'))
