close all;
clear all;
echo off;

global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames

Const_VanderPolAdd;

semillaSN=0;   %system noise seed
semillaON=n_m; %observed noise seed
%the seeds should be differents

n_m_max=round((tTotal - t0) ./ deltat_min);
pp=n_m_max/n_m;
randn('seed',semillaSN);
eta = randn(n_m_max+1,n_w);    % system noise generation 

f =FileNames{1};
g =FileNames{2};
Jf=FileNames{3};
Jg=FileNames{4};
ft=FileNames{7};
gt=FileNames{8};

if strcmp(Jg,'zero'),
   [t,proceso]=SLLscheme(t0,X0,n_m_max,deltat_min,eta,f,g,Jf,ft,gt,'cerom2m',1,theta);    %integration by LL method
else
   [t,proceso]=Euler(t0,X0,n_m_max,deltat_min,eta,f,g,theta);             %integration by Euler method
end

%%
t=t(1:pp:n_m_max);
proceso=proceso(:,1:pp:n_m_max);

%plot of the state variables
subplot(n_v_e+n_obs,1,1)
plot(t,proceso(1,:))
subplot(n_v_e+n_obs,1,2)
plot(t,proceso(2,:))

datos=Observnl_m(t,proceso,theta,FileNames,n_obs,semillaON);   %generation of the observations

for i=1:n_obs,
  subplot(n_v_e+n_obs,1,2+i)
  plot(t,datos(i,:));  %plot of the observation
end

save data t datos proceso eta

% Figure information
subplot(n_v_e+n_obs,1,1), ylabel('x1'), title('generation of data by integrating the SSM')
subplot(n_v_e+n_obs,1,2), ylabel('x2')
for i=1:n_obs,
  subplot(n_v_e+n_obs,1,2+i), ylabel(['z',num2str(i)])
end

