%this file contents the parameters of the Cox model published in J. Time Series Analysis 2006 by Jimenez & Ozaki
global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global Theta FileNames

deltat_min=0.005; % sampling period for integration
deltat=0.5;      % sampling period for filtering
tTotal=250;      % sampling time  

% definition of state space parameters
alfa=1; teta=-1.5; sigma=0.1; beta=-1; gamma=0.01;
AddObsVar=0.01; MulObsVar=0;       % aditive observation noise
%AddObsVar=0; MulObsVar=0.01;      % multiplicative observation noise
%AddObsVar=0.01; MulObsVar=0.01;   % aditive + multiplicative observation noise

t0=0;    % initial time
n_obs=1; % number of observation equations
n_v_e=2; % number of state variables  
n_m=round((tTotal - t0) ./ deltat)   % number of point 
mpts=zeros(1,n_m); % number of misssing points to compute the prediction between two observations

X0=[0.5 0.5]';                % initial state variable for integration;
Xf0=[0.5 0.5]';               % initial filter estimates
Pf0=0.001*diag(ones(2,1));    % initial covariance matrix

Theta(1)=alfa;
Theta(2)=teta;
Theta(3)=sigma;
Theta(4)=beta;
Theta(5)=gamma;
Theta(6)=AddObsVar;
Theta(7)=MulObsVar;

f  = 'f_cox';   % name of function f
g  = 'g_cox';   % name of function g 
Jf = 'j_cox';   % name of the Jacobian of f
Jg = 'Jg_cox';  % name of the Jacobian of g  
Hf = 'zero';    % name of the Hessian of f
Hg = 'zero';    % name of the Hessian of g 
ft = 'zero';    % name of the derivative of f respecto to t 
gt = 'zero';    % name of the derivative of g respecto to t

%to test LL filter (multiplicative and non-autonomous case) 
%ft = 'ft_cox';  % name of the derivative of f respecto to t 
%gt = 'gt_cox';  % name of the derivative of g respecto to t

h  = 'h_cox';   % name of function h
Jh = 'jh_cox';  % name of the Jacobian of h 

p  = 'p_cox';   % name of function p  
Jp = 'Jp_cox';  % name of Jacobian of p  

See= 'See_cox';    % variance of the additive observation noise
Lee= 'Lee_cox';    % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee);


