%Test using autonomous LL method. 
%Example: Simulations of Cortical Pyramidal Neuron. William W.Lytton and Terrence J. Sejnowski
clear all;
close all
echo off;

%Definition of constants
global gmax Veq Vmr Cm RT_F
global theta_i theta st_fun dst_fun t0 deltat_min

parhh;
consthh;
tt=linspace(t0,tTotal,n_m_max);

% Generating the Stimulus Time Series.
% Amplitude is determine by the parameter Theta(14)
%
% A gaussian
tau=10; % ms
sd=1;   % ms
%for k=1:n_m_max, st_fun(k)= exp(-((tt(k)-tau)/sd).^2); end
%for k=1:n_m_max, dst_fun(k)= - 2 * ((tt(k)-tau)/sd^2) * exp(-((tt(k)-tau)/sd).^2); end

% A constant
for k=1:n_m_max, st_fun(k)=1; end
for k=1:n_m_max, dst_fun(k)=0; end

figure
plot(tt,st_fun)

thetae=theta(theta_i);

semillaSN=0;   %system noise seed
semillaON=n_m; %observed noise seed
randn('seed',semillaSN);
eta = randn(n_m_max+1,n_v_e);    % system noise generation 

f =FileNames{1};
g =FileNames{2};
Jf=FileNames{3};
Jg=FileNames{4};
ft=FileNames{7};
gt=FileNames{8};

if strcmp(Jg,'zero'),
   [t,proceso]=SLLscheme(t0,X0,n_m_max,deltat_min,eta,f,g,Jf,ft,gt,'cerom2m',1,thetae);    %integration by LL method
else
   [t,proceso]=euler(t0,X0,n_m_max,deltat_min,eta,f,g,thetae);             %integration by Euler method
end

t=t(1:pp:n_m_max);
proceso=proceso(:,1:pp:n_m_max);

figure
subplot(311) 
plot(t,proceso(4,:))
subplot(312)
plot(t,proceso(1,:),t,proceso(2,:),t,proceso(3,:))


%%
datos=Observnl_m(t,proceso,thetae,FileNames,n_obs,semillaON);  %generation of the observations

subplot(313)
plot(t,datos);  %plot of the obserbation

save data t datos
save rstates proceso eta
