global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames

deltat_min=0.001;  % sampling period for integration
deltat=0.01;       % sampling period for filtering
tTotal=4;  % sampling time  

% definition of state space parameters
SysVar=0.25;  AddObsVar=100; MulObsVar=0;   % aditive observation noise
%SysVar=0.25;  AddObsVar=0; MulObsVar=600;   % multiplicative observation noise
%SysVar=0.25;  AddObsVar=100; MulObsVar=600; % aditive + multiplicative observation noise

t0=0;    % initial time
n_obs=1; % number of observation equations
n_v_e=2; % number of state variables  
n_m=round((tTotal - t0) ./ deltat)   %number of points
mpts=zeros(1,n_m); % number of misssing points to compute the prediction between two observations

X0=[1 1]';                 % initial state variable for integration;
Xf0=X0;                    % initial filter estimates
Pf0=0.01*ones(2,2);        % initial filter variance estimates

theta(1)=SysVar;
theta(2)=AddObsVar;
theta(3)=MulObsVar;

f='f_linear_m_NoAuto_Add';      % name of function f
g='g_linear_m_NoAuto_Add';      % name of function g 
Jf='j_linear_m_NoAuto_Add';     % name of Jacobian of f
Jg = 'zero';                    % name of Jacobian of g  
Hf = 'zero';                    % name of the Hessian of f
Hg = 'zero';                    % name of the Hessian of g 
ft = 'ft_linear_m_NoAuto_Add';  % name of derivative of f respect to t   
gt = 'gt_linear_m_NoAuto_Add';  % name of derivative of g respect to t

h  = 'h_linear_m_NoAuto_Add';   % name of function h
Jh = 'jh_linear_m_NoAuto_Add';  % name of Jacobiano de h 

p  = 'p_linear_m_NoAuto_Add';   % name of function p  
Jp = 'Jp_linear_m_NoAuto_Add';  % name of Jacobian of p  

See= 'See_linear_m_NoAuto_Add'; % variance of the additive observation noise
Lee= 'Lee_linear_m_NoAuto_Add'; % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee);
