close all;
clear all;
echo off;

global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0
global Theta FileNames

const_OneDim_3;

semillaSN=0;   %system noise seed
semillaON=n_m; %observed noise seed
%the seeds should be differents

n_m_max=round((tTotal - t0) ./ deltat_min);
pp=n_m_max/n_m;
randn('seed',semillaSN);
eta = randn(n_m_max+1,n_v_e);    % system noise generation 

f =FileNames{1};
g =FileNames{2};
Jf=FileNames{3};
Jg=FileNames{4};
ft=FileNames{7};
gt=FileNames{8};

if strcmp(Jg,'zero'),
   [t,proceso]=SLLscheme(t0,X0,n_m_max,deltat_min,eta,f,g,Jf,ft,gt,'cerom2m',1,Theta);    %integration by LL method
else
   [t,proceso]=euler(t0,X0,n_m_max,deltat_min,eta,f,g,Theta);             %integration by Euler method
end
t=t(1:pp:n_m_max);
proceso=proceso(:,1:pp:n_m_max);

%plot of the state variables
subplot(211)
plot(t,proceso(1,:))

datos=observnl_m(t,proceso,Theta,FileNames,n_obs,semillaON);   %generation of the observations

subplot(212)
plot(t,datos);  %plot of the obserbation

save data t datos proceso eta
